# Growtopia API

Unofficial 🌲 Growtopia API featuring advanced tools for accessing item data, sprites, and various other resources.

[![PyPI](https://img.shields.io/pypi/v/growtopia-api.svg)](https://pypi.org/project/growtopia-api/)
![Python Version](https://img.shields.io/pypi/pyversions/growtopia-api.svg)
![Downloads](https://img.shields.io/pypi/dm/growtopia-api.svg)

## Installation

You can easily install `growtopia-api` from PyPI using the following command:

```console
pip install growtopia-api
```

The `growtopia-api` library officially supports Python 3.10 and above.

## Example Code

- [Wiki Scraper](docs/wiki.md)
- [Items.dat Parser](docs/itemsdat_parser.md)
- [RTTEX Converter](docs/rttex_converter.md)
- [Dataminer](docs/dataminer.md)

For more details about the inner workings of Growtopia, check out [growtopia-docs](https://github.com/H-pun/growtopia-docs).

## Acknowledgements

- Python items.dat parser from [gt-itemsdat-json](https://github.com/houzeyhoo/gt-itemsdat-json) by @houzeyhoo
- Base wiki scraper from [growtopia-info](https://github.com/Gabrielbjb/growtopia-info) by @Gabrielbjb
- Upcoming items [Dataminer](https://github.com/Bolwl/Dataminer) by @Bolwl

## Contributing

Contributions are welcome! If you have suggestions, bug reports, or would like to contribute code, please open an issue or submit a pull request.

## License

This project is licensed under the MIT License. See the [LICENSE](LICENSE) file for more details.